Page MenuHomePhabricator

HHVM: CURLOPT_REDIR_PROTOCOLS not defined
Closed, ResolvedPublic

Description

While working with the gwtoolset role in vagrant, i noticed that gwtoolset wasn’t accepting metadata sets whose mediafile URLs contained redirects. this is the same issue that is currently being experienced on commons beta; see bug 70124.

In the gwtoolset role, i was able to create a workaround by adding a defined check for CURLOPT_REDIR_PROTOCOLS and setting it to 182, the value i found in my local dev environment. this allowed gwtoolset to follow redirects in URLs and continue processing the metadata set.

In irc, bryan davis found this file in the hhvm repo and feels that this is where the issue should actually be addressed: https://github.com/facebook/hhvm/blob/master/hphp/runtime/ext/curl/ext_curl.cpp.

until the original file is fixed, i’d like to leave the work around in the gwtoolset role so that the vagrant and commons beta environments will allow gwtoolset to work with metadata sets that include redirect URLs.


Version: unspecified
Severity: normal

Details

Reference
bz70570

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:42 AM
bzimport set Reference to bz70570.
bzimport added a subscriber: Unknown Object (MLST).
dan-nl created this task.Sep 8 2014, 6:34 PM

gerritadmin wrote:

Change 158950 had a related patch set uploaded by Dan-nl:
GWToolset Role Additions

https://gerrit.wikimedia.org/r/158950

gerritadmin wrote:

Change 159159 had a related patch set uploaded by Dan-nl:
Add Curl Constants Test

https://gerrit.wikimedia.org/r/159159

gerritadmin wrote:

Change 159214 had a related patch set uploaded by PleaseStand:
CurlHttpRequest: Check library version, not CURLOPT_REDIR_PROTOCOLS

https://gerrit.wikimedia.org/r/159214

gerritadmin wrote:

Change 159214 merged by jenkins-bot:
CurlHttpRequest: Check library version, not CURLOPT_REDIR_PROTOCOLS

https://gerrit.wikimedia.org/r/159214

gerritadmin wrote:

Change 158950 merged by jenkins-bot:
GWToolset Role Additions

https://gerrit.wikimedia.org/r/158950

gerritadmin wrote:

Change 159257 had a related patch set uploaded by Dan-nl:
Remove CURLCURLOPT_REDIR_PROTOCOLS defined test

https://gerrit.wikimedia.org/r/159257

gerritadmin wrote:

Change 159257 merged by jenkins-bot:
Remove CURLCURLOPT_REDIR_PROTOCOLS defined test

https://gerrit.wikimedia.org/r/159257

gerritadmin wrote:

Change 159159 merged by jenkins-bot:
Add cURL constants test

https://gerrit.wikimedia.org/r/159159

Gilles moved this task from Untriaged to Done on the Multimedia board.Dec 2 2014, 8:53 AM
Krenair moved this task from Backlog to Reported Upstream on the Upstream board.Mar 29 2015, 8:48 PM